Bug 963513 - failed to upgrade - ovirt-node-iso-2.6.0-20130212 ovirt-node-iso-2.6.1-20120228
failed to upgrade - ovirt-node-iso-2.6.0-20130212 ovirt-node-iso-2.6.1-20120228
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
3.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joey Boggs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 22:59 EDT by Douglas Schilling Landgraf
Modified: 2016-04-26 23:32 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-16 15:03:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages (202.59 KB, application/octet-stream)
2013-05-15 22:59 EDT, Douglas Schilling Landgraf
no flags Details
ovirt.log (4.08 KB, text/x-log)
2013-05-15 23:00 EDT, Douglas Schilling Landgraf
no flags Details
vds_bootstrap (2.68 KB, text/x-log)
2013-05-15 23:01 EDT, Douglas Schilling Landgraf
no flags Details

  None (edit)
Description Douglas Schilling Landgraf 2013-05-15 22:59:55 EDT
Created attachment 748563 [details]
messages

Description of problem:

I have tried to upgrade using these ISOs and I got:

<BSTRAP component='RHEL_INSTALL' status='WARN'message='vdsm daemon is already down before we stop it for upgrade.'/>
<BSTRAP component='umount' status='OK' message='umount Succeeded'/>
<BSTRAP component='RHEV_INSTALL' status='FAIL'/>
Comment 1 Douglas Schilling Landgraf 2013-05-15 23:00:36 EDT
Created attachment 748564 [details]
ovirt.log
Comment 2 Douglas Schilling Landgraf 2013-05-15 23:01:48 EDT
Created attachment 748565 [details]
vds_bootstrap
Comment 3 Douglas Schilling Landgraf 2013-05-15 23:04:46 EDT
Hi Mike/Jboggs,

Is it a know issue from install.ovirt_boot_setup?

Thanks
Douglas
Comment 4 Alon Bar-Lev 2013-05-16 01:09:02 EDT
(In reply to comment #3)
> Hi Mike/Jboggs,
> 
> Is it a know issue from install.ovirt_boot_setup?
> 
> Thanks
> Douglas

It is in vdsm_reg/vdsm-upgrade, nothing to do with node.

Why it is there - well just like other questions we may have regarding the vdms_reg.

I am waiting for the new ovirt-node-upgrade script... (bug#910816).
Comment 5 Mike Burns 2013-05-16 08:17:23 EDT
> I am waiting for the new ovirt-node-upgrade script... (bug#910816).

This fix will land in the ovirt-node-3.0.0 which will be used in the oVirt 3.3 release.

(In reply to comment #3)
> Hi Mike/Jboggs,
> 
> Is it a know issue from install.ovirt_boot_setup?
> 
> Thanks
> Douglas

Is this the same issue as before where it upgrades successfully, but you need to put the host in maintenance and then activate it?
Comment 6 Douglas Schilling Landgraf 2013-05-16 08:55:20 EDT
Hi,

> It is in vdsm_reg/vdsm-upgrade, nothing to do with node.

Well, at this point we still vdsm-upgrade using ovirtnode library to execute the upgrade and we are failing there from my inspection.

From vdsm-upgrade:

from ovirtnode.install import Install  <-- here
<snip>
  #Now: Try mounting
        fOK = setMountPoint(config)
        if fOK:
            fMounted = True
            fOK = doUpgrade(config)  <--- here

        #Finally, is possible umount current upgrade file.
        if fMounted:
            umount(config) #cleanup, may fail in some cases- device busy.
    except:
        fOK = False

    if not fOK:
        msg = "<BSTRAP component='RHEV_INSTALL' status='FAIL'/>"
        logging.error("<BSTRAP component='RHEV_INSTALL' status='FAIL'/>")   
<snip>

def doUpgrade(config):
    fReturn = True

    install = Install() <--- here
    if install.ovirt_boot_setup(reboot="Y"):
<snip>

> I am waiting for the new ovirt-node-upgrade script...
That one will be nice.

> Is this the same issue as before where it upgrades successfully,
> but you need to
> put the host in maintenance and then activate it?

I don't think so, the previous one was about wrong xml from vdsm to Engine, now it just failed.

<BSTRAP component='RHEL_INSTALL' status='WARN'message='vdsm daemon is already down before we stop it for upgrade.'/>
<BSTRAP component='umount' status='OK' message='umount Succeeded'/>
<BSTRAP component='RHEV_INSTALL' status='FAIL'/>

To reproduce you don't even need engine (from my case), just put the ISO into /data/updates and execute /usr/share/vdsm-reg/vdsm-upgrade.
Comment 7 Joey Boggs 2013-05-16 15:03:18 EDT
That version needs to be upgraded by media. There is a bug that calls is_upgrade() and it should be _functions.is_upgrade() in the install module. It's fixed in ovirt-node-iso-2.6.1-20120228 already

patch was:
http://gerrit.ovirt.org/gitweb?p=ovirt-node.git;a=commit;h=4c059429672ca44e558ee8329de1bdc1ef282e3a

Note You need to log in before you can comment on or make changes to this bug.